      PROGRAM TEST
        EXTERNAL CDOTU, SDOT
        COMPLEX AC(1), BC(1),CC
        COMPLEX CDOTU
        REAL A(1), B(1), C, SDOT
        A(1)=1
        B(1)=2
        AC(1)=CMPLX(1,0)
        BC(1)=CMPLX(2,0)
        C = SDOT(1,A,1,B,1)
        CC = CDOTU(1,AC,1,BC,1)
        WRITE (*,*) C, CC
      END
